class CfgPatches {
 class tb_arifle_m16a4 {
 	author[] = {"Toadball"};
	requiredaddons[] = {};
	requiredversion = 0.1;
	units[] = {};
	weapons[] = {"tb_arifle_m16a4"};
	magazines[] = {};
 };
};
/*external*/ class Mode_SemiAuto;
/*external*/ class Mode_Burst;

class CfgWeapons {
	class Rifle_Base_F;
	class Tavor_base_F : Rifle_Base_F {
		class Single;
		class FullAuto;
		class single_medium_optics1;
		class single_medium_optics2;
		class WeaponSlotsInfo; 
	};
	class tb_arifle_m16a4_base : Tavor_base_F {
		author = "Toadball";	
		drysound[] = {"A3\sounds_f\weapons\other\dry1", 0.630957, 1, 30};
		handanim[] = {};
		model =  "tb_arifle_m16a4\m16a4";
		dexterity = 1.68;
		discretedistance[] = {200, 300, 400, 500, 600, 700};
		discretedistanceinitindex = 1;
		displayname = "M16A4";
		displaynameshort = "M16A4";
		modes[] = {"Single", "Burst", "single_medium_optics1", "single_medium_optics2"};
		reloadaction = "GestureReloadEBR";
		reloadmagazinesound[] = {"A3\sounds_f\weapons\reloads\new_ebr", 0.630957, 1, 35};
		scope = 0;
		picture = "\tb_arifle_m16a4\data\w_m16a4_ca.paa";
		class Single : Single {
			recoil = "recoil_single_ebr";
			recoilprone = "recoil_single_prone_ebr";
			reloadtime = 0.06;		
			sounds[] = {"StandardSound","SilencedSound"};
			class BaseSoundModeType	{
				weaponSoundEffect = "DefaultRifle";
				closure1[] = {"A3\sounds_f\weapons\closure\ebr-3",0.501187,1,10};
				closure2[] = {"A3\sounds_f\weapons\closure\ebr-3",0.501187,1,10};
				soundClosure[] = {"closure1",0.5,"closure2",0.5};
			};
			class StandardSound: BaseSoundModeType {
				begin1[] = {"A3\sounds_f\weapons\Trg20\trg_single_1",1,1,1200};
				begin2[] = {"A3\sounds_f\weapons\Trg20\trg_single_2",1,1,1200};
				begin3[] = {"A3\sounds_f\weapons\Trg20\trg_single_3",1,1,1200};
				soundBegin[] = {"begin1",0.333,"begin2",0.333,"begin3",0.333};
			};	
			class SilencedSound: BaseSoundModeType {
				begin1[] = {"A3\sounds_f\weapons\silenced\silent-18",1,1,240};
				begin2[] = {"A3\sounds_f\weapons\silenced\silent-19",1,1,240};
				begin3[] = {"A3\sounds_f\weapons\silenced\silent-11",1,1,240};
				soundBegin[] = {"begin1",0.333,"begin2",0.333,"begin3",0.333};
			};	
		};
		class Burst : Mode_Burst {
			sounds[] = {"StandardSound","SilencedSound"};
			class BaseSoundModeType
			{
				weaponSoundEffect = "DefaultRifle";
				closure1[] = {"A3\sounds_f\weapons\closure\ebr-3",0.501187,1,10};
				closure2[] = {"A3\sounds_f\weapons\closure\ebr-3",0.501187,1.1,10};
				soundClosure[] = {"closure1",0.5,"closure2",0.5};
			};
			class StandardSound: BaseSoundModeType
			{
				begin1[] = {"A3\sounds_f\weapons\Trg20\trg_single_1",1,1,1200};
				begin2[] = {"A3\sounds_f\weapons\Trg20\trg_single_2",1,1,1200};
				begin3[] = {"A3\sounds_f\weapons\Trg20\trg_single_3",1,1,1200};
				soundBegin[] = {"begin1",0.33,"begin2",0.33,"begin3",0.34};
			};
			class SilencedSound: BaseSoundModeType
			{
				begin1[] = {"A3\sounds_f\weapons\silenced\silent-23",1,1,600};
				begin2[] = {"A3\sounds_f\weapons\silenced\silent-24",1,1,600};
				soundBegin[] = {"begin1",0.5,"begin2",0.5};
			};		
			dispersion = 0.00098;
		};
		class WeaponSlotsInfo: WeaponSlotsInfo {
			mass = 60;
		};
		class Library {
			libtextdesc = "The M16 assault rifle entered service in 1965 at the onset of the Vietnam War. It answered the Army's need to replace the ill-suited M14 with a lightweight rifle capable of effective automatic fire.<br/>The M16 uses a small, high velocity round with low recoil and good armor penetration, effective to about 500m.";
		};
	};
	class tb_arifle_m16a4 : tb_arifle_m16a4_base {
		scope = 2;
	};
};
